--- a/bindings/python/rrdtoolmodule.c
+++ b/bindings/python/rrdtoolmodule.c
@@ -261,6 +261,7 @@
     return r;
 }
 
+#ifdef HAVE_RRD_GRAPH
 static char PyRRD_graph__doc__[] =
     "graph(args..): Create a graph based on data from one or several RRD\n"
     "    graph filename [-s|--start seconds] "
@@ -327,6 +328,7 @@
     destroy_args(&argv);
     return r;
 }
+#endif /* HAVE_RRD_GRAPH */
 
 static char PyRRD_tune__doc__[] =
     "tune(args...): Modify some basic properties of a Round Robin Database\n"
@@ -503,6 +505,7 @@
     return r;
 }
 
+#ifdef HAVE_RRD_GRAPH
 static char PyRRD_graphv__doc__[] =
     "graphv is called in the same manner as graph";
 
@@ -530,6 +533,7 @@
     destroy_args(&argv);
     return r;
 }
+#endif /* HAVE_RRD_GRAPH */
 
 static char PyRRD_updatev__doc__[] =
     "updatev is called in the same manner as update";
@@ -587,6 +591,7 @@
     return r;
 }
 
+#ifdef HAVE_RRD_GRAPH
 static char PyRRD_xport__doc__[] =
     "xport(args..): dictionary representation of data stored in RRDs\n"
     "    [-s|--start seconds] [-e|--end seconds] [-m|--maxrows rows]"
@@ -664,6 +669,7 @@
     destroy_args(&argv);
     return r;
 }
+#endif /* HAVE_RRD_GRAPH */
 
 /* List of methods defined in the module */
 #define meth(name, func, doc) {name, (PyCFunction)func, METH_VARARGS, doc}
@@ -677,11 +683,11 @@
     meth("last", PyRRD_last, PyRRD_last__doc__),
     meth("resize", PyRRD_resize, PyRRD_resize__doc__),
     meth("info", PyRRD_info, PyRRD_info__doc__),
-#ifdef HAVE_RRD_GRAPH    
+#ifdef HAVE_RRD_GRAPH
     meth("graph", PyRRD_graph, PyRRD_graph__doc__),
     meth("graphv", PyRRD_graphv, PyRRD_graphv__doc__),
     meth("xport", PyRRD_xport, PyRRD_xport__doc__),
-#endif
+#endif /* HAVE_RRD_GRAPH */
     meth("updatev", PyRRD_updatev, PyRRD_updatev__doc__),
     meth("flushcached", PyRRD_flushcached, PyRRD_flushcached__doc__),
     {NULL, NULL, 0, NULL}
